import { Done } from '../../../../../Class/Functional/Done';
import { Fail } from '../../../../../Class/Functional/Fail';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { S } from '../../../../../types/interface/S';
export type I = {
    server: S;
    url: any;
    accept: boolean;
};
export type O = {};
export default class Upgrade extends Holder<I, O> {
    private _unlisten;
    constructor(system: System);
    f({ url }: I, done: Done<O>, fail: Fail): Promise<void>;
    d(): void;
    onIterDataInputData(name: keyof I, data: any): void;
}
